Bug 155543 - krdc requires rdesktop > 1.3.1
krdc requires rdesktop > 1.3.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-21 06:47 EDT by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 10:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2005-04-21 06:47:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.8b) Gecko/20050217

Description of problem:
Running krdc from latest FC3 and requesting connection to 
rdp://192.168.1.12/
ends up with message:
rdesktop Failure
The version of rdesktop you are using (1.3.1) is too old:

rdesktop 1.3.2 or greater is required. A working patch for rdesktop 1.3.1 can be found in KDE CVS.

No connection is possible trought krdc, however rdesktop itself work ok.

Version-Release number of selected component (if applicable):
kdenetwork-3.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. See description.
2.
3.
  

Actual Results:  Failure - no connection.

Expected Results:  Start rdesktop.

Additional info:

Either rdesktop should be updated to 1.3.2 or krdc should be pathed.
Comment 1 Ngo Than 2005-04-21 10:23:15 EDT
the patch is already added in rdesktop-1_3_1-6 or newer. it's available in rawhide.
Comment 2 Orion Poplawski 2005-05-05 17:15:33 EDT
But it doesn't really do any good to any FC3 users unless an update is released
to FC3.  I would argue that since the krdc shipped in FC3 requires 1.3.2 or
greater, that an updated rdesktop should be shipped to FC3.  Considering all the
other updates that have been shipped for FC3, this seems more valid than many.
Comment 3 Ngo Than 2005-05-11 07:33:48 EDT
david, it would be nice if could you please do a rdesktop update for FC3. thanks

Note You need to log in before you can comment on or make changes to this bug.